Skip to main content

Get Delegated Access

API Description​

Get information about the features and brands that have been delegated to you, by one or more owner organizations, matching query parameters. Results are grouped by owner organization — each entry lists the granular features and brands that owner organization has authorized.

Request​

URI Parameters​

NameInput
delegatedPartnerOrgId
REQUIRED

Query Parameters​

Filters to apply on the operation. Supports the == and =in= comparison operators only.

NameInput
feature
OPTIONAL
limit
OPTIONAL
orgId
OPTIONAL
state
OPTIONAL

Limit​

Page size. Minimum 1, default 50, maximum 200.

Path Template
GET {url}/api/{version}/orgs/{delegatedPartnerOrgId}/delegated-access
Path Example One

Expected to return everything that has been delegated to you, from every owner organization.

GET {url}/api/v1/orgs/9467895078742654994/delegated-access
Path Example Two

Expected to return what has been delegated to you by a specific owner organization.

GET {url}/api/v1/orgs/9467895078742654994/delegated-access?ql=orgId==9467895078742654934
Path Example Three

Expected to return a list of owner organizations that have delegated the LOCATIONS or BRAND_PROFILES feature to you.

GET {url}/api/v1/orgs/9467895078742654994/delegated-access?ql=feature=in=(LOCATIONS,BRAND_PROFILES)

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 108fc823-4082-4c29-be98-3abfc5277929
content-type: application/json

Response Body​

ParentNameOutput
$.data[]
REQUIRED
data[]orgDetails
REQUIRED
data[]granularAccess[]
REQUIRED
$.pagination
REQUIRED
$.total
REQUIRED

Organization Details​

Describes the owner organization that granted access, and the state of the delegation relationship.

ParentNameOutput
orgDetailsorgId
REQUIRED
orgDetailslegalName
REQUIRED
orgDetailsstate
REQUIRED

State​

Describes the state of the delegation relationship that exists between the organizations (location owner ⟺ partner). Possible values: ACTIVE or PENDING.

Granular Access​

granularAccess[] lists the features the owner organization has authorized, and which brands each feature applies to.

ParentNameOutput
granularAccess[]brandRef
REQUIRED
granularAccess[]feature
REQUIRED

Feature​

feature (string) identifies the delegated feature. SHOULD be treated as an open-ended value — new features may be added over time. Possible values: BRANDED_MAIL, BRAND_PROFILES, BUSINESS_CALLER_ID, LOCATIONS, VERIFY_WITH_WALLET_ON_THE_WEB.

note

ADS_ON_MAPS access is delegated separately and is not included in granularAccess[].

Brand Reference​

Identifies which brands feature applies to, for this owner organization.

ParentNameOutput
brandRefisAllBrands
REQUIRED
brandRefbrandIds[]
CONDITIONAL
  • isAllBrands (boolean) indicates whether feature applies to all of the owner organization's brands.
  • brandIds[] lists the specific delegated brand IDs feature applies to, and is only returned when isAllBrands is false.

Example Response Bodies​

Response to Path Example One
{
"data": [
{
"orgDetails": {
"orgId": "9467895078742654934",
"legalName": "Big Enterprise",
"state": "ACTIVE"
},
"granularAccess": [
{
"feature": "BRAND_PROFILES",
"brandRef": {
"isAllBrands": false,
"brandIds": [ "1237890009599", "1568998889123" ]
}
}
]
},
{
"orgDetails": {
"orgId": "1566789507874687",
"legalName": "Big Enterprise",
"state": "PENDING"
},
"granularAccess": [
{
"feature": "LOCATIONS",
"brandRef": {
"isAllBrands": true
}
}
]
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/api/v1/orgs/9467895078742654994/delegated-access?limit=2&after=8U54a61d9b495324"
},
"total": 4
}

When no collection is returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {},
"total": 0
}